[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Java status for FC4?



On Thu, 2004-11-11 at 13:26, Carwyn Edwards wrote:
> Thomas Fitzsimmons wrote:
> 
> >On Thu, 2004-11-11 at 06:52, Avi Alkalay wrote:
> >  
> >
> >>OK, so how can I have Java (not GCJ) 
> >>
> >yum install java-1.4.2-gcj-compat-devel
> >  
> >
> How realistic a replacement for the Sun/IBM/Blackdown/BEA JVMs is GCJ 
> these days?
> 

Many programs run as well or better than they run on non-free JVMs. 
Most non-GUI programs should run fine.  FC3 introduces experimental AWT
and Swing support, so simple AWT and Swing applications will run too.

> Can I pluck any Java app off the web and expect it to work? Say if it 
> says it needs Java 1.4.2.
> 

The FC3 packaging of gij and ecj (java-1.4.2-gcj-compat) should help out
a lot here.  Try your apps out on our free software stack and let us
know if they don't work (report a bug).  Because java-gcj-compat uses
jpackage conventions, you can easily switch between a jpackaged non-free
SDK and our free tools using alternatives(8).

Tom



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]